Bug 494232 - gnome-packagekit mixing pt and pt_BR strings
gnome-packagekit mixing pt and pt_BR strings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 17:51 EDT by Igor Pires Soares
Modified: 2009-06-25 05:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 05:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
European Portuguese strings in a Brazilian Portuguese system (13.59 KB, image/png)
2009-04-05 17:51 EDT, Igor Pires Soares
no flags Details

  None (edit)
Description Igor Pires Soares 2009-04-05 17:51:12 EDT
Created attachment 338263 [details]
European Portuguese strings in a Brazilian Portuguese system

Apparently gpk is taking some pt_BR strings from the wrong .PO catalog. I am seeing some European Portuguese strings, but my system is set for Brazilian Portuguese.

It happens only with a few strings. I attached a screenshot for example. There are no such strings in pt_BR.po.
Comment 1 Igor Pires Soares 2009-04-05 17:55:09 EDT
Ooops... forgot to specify the version:
gnome-packagekit-2.27.1-1.fc11.i586
Comment 2 Richard Hughes 2009-04-06 05:02:20 EDT
Does a missing string in pt_BR fall back to pt? Does this still happen with git master?
Comment 3 Igor Pires Soares 2009-04-07 00:19:00 EDT
I am not sure about that.

The following string is translated in 2.27.1:

#. TRANSLATORS: no updates available for the user
#: ../src/gpk-update-viewer.c:501
msgid "There are no updates available"
msgstr "Não há atualizações disponíveis"


But this one was translated only in the last commit:

#. TRANSLATORS: tell the user the problem
#: ../src/gpk-update-viewer.c:748
msgid "There are no updates available for your computer at this time."
msgstr "Não há atualizações disponíveis para o seu computador neste momento."


There are any rpms for git master or I have to build it from source?
Comment 4 TK009 2009-04-10 20:09:43 EDT
Thank you for your report and response.

You will need to build it from source. Full instructions for downloading and building here: https://fedoraproject.org/wiki/BuildingPackageKitFromSource.

If your able to do that and report your findings it would be really helpful.

Thanks again for your help.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Igor Pires Soares 2009-04-12 16:35:46 EDT
Thanks for the tips!

I did an interesting test today. I built gnome-packagekit from source and didn't see any problems (all the strings were translated for pt_BR). Then I removed a translated string from the pt_BR.po file and built it again. This time I was able to reproduce the error.

Now I can confirm that missing strings in pt_BR are falling into pt.


I don't know if these debugging messages are useful to solve this, but here they are:

[root@f11beta src]# ./gpk-update-viewer2 -v
TI:14:23:46	TH:0x98064c0	FI:egg-debug.c	FN:egg_debug_init,306
 - Verbose debugging 1 (on console 1)GPK_VERBOSE
TI:14:23:49	TH:0x98064c0	FI:gpk-common.c	FN:gpk_window_set_size_request,236
 - using native mode: 700x600
TI:14:23:49	TH:0x98064c0	FI:gpk-update-viewer2.c	FN:gpk_update_viewer_status_changed_cb,747
 - status wait
TI:14:23:49	TH:0x98064c0	FI:gpk-update-viewer2.c	FN:gpk_update_viewer_reconsider_buttons,566
 - status is finished
TI:14:23:49	TH:0x98064c0	FI:gpk-update-viewer2.c	FN:gpk_update_viewer_status_changed_cb,747
 - status finished
TI:14:23:49	TH:0x98064c0	FI:gpk-update-viewer2.c	FN:gpk_update_viewer_reconsider_buttons,566
 - status is finished
TI:14:23:49	TH:0x98064c0	FI:gpk-update-viewer2.c	FN:gpk_update_viewer_finished_cb,1478
 - role: get-updates, exit: success
Comment 6 TK009 2009-04-13 22:48:46 EDT
Thanks again Igor

I don't fully understand the problem and need to defer to Richard here. 

Richard, could you advise if this should be assigned?

TK009

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Richard Hughes 2009-04-15 12:43:02 EDT
Should be fixed in rawhide, right?
Comment 8 Adam Williamson 2009-04-15 13:49:22 EDT
well, as I read it, the initial bug is 'fixed' because all strings are now translated to Brazilian Portuguese, so the issue's hidden. However, the underlying problem is still there - if a string's missing in Brazilian Portuguese, it falls back to European Portuguese, which Igor thinks is wrong (presumably it should fall back to English instead?) Right, Igor?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Adam Williamson 2009-04-15 13:52:55 EDT
to improve coherency of this report: the missing bit between #5 and #7 is that Richard updated the Rawhide package to a 2009/04/14 git snapshot.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Igor Pires Soares 2009-04-15 14:46:35 EDT
Unfortunately, the initial bug isn't superficially fixed in the last Rawhide update because gnome-packagekit picked up some new strings since my last translation. And it's kinda worse now, there is a string in the new update viewer which is in European Portuguese and is missing some letters.

The strings should fall back to English, like other applications, because from the translator side is hard to tell if the string is translated or not, or if there's a typo.
Comment 11 Adam Williamson 2009-04-15 15:27:54 EDT
So to fix the basic symptom we need to bump the Rawhide package to an even newer git snapshot, and the issue of translations falling back to pt instead of en remains. OK.

Is that actually a bug in gnome-packagekit, though? I have a limited understanding of the whole translations system, but I thought the fallbacks would be defined globally, not within each individual app's code?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Igor Pires Soares 2009-04-22 22:27:28 EDT
I might be wrong, but I don't think this is a global problem. At least I don't see it happening with other software.
Comment 13 Richard Hughes 2009-06-03 05:41:25 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5748 and then reboot please. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 14 Igor Pires Soares 2009-06-03 22:58:23 EDT
I can confirm that the mixing strings issue is solved with that new build, but it raises another problem.

It seems that some strings were erroneous removed from the POT file. I can't find some strings like "Refresh package lists" and "Software updates correct errors, eliminate security vulnerabilities and provide new features." in the current .PO file (2009-06-02 7:55 a.m. +0000). As a consequence, these strings are in English although the pt_BR file is 100% translated.
Comment 15 Bug Zapper 2009-06-09 09:18:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Richard Hughes 2009-06-25 05:22:45 EDT
(In reply to comment #14)
> It seems that some strings were erroneous removed from the POT file. I can't
> find some strings like "Refresh package lists" and "Software updates correct
> errors, eliminate security vulnerabilities and provide new features." in the
> current .PO file (2009-06-02 7:55 a.m. +0000). As a consequence, these strings
> are in English although the pt_BR file is 100% translated.  

Okay, but this bug is fixed, so we'll discuss the other issues upstream.

Note You need to log in before you can comment on or make changes to this bug.